#version: "3"
services:
  adguardhome:
    image: adguard/adguardhome
    container_name: adguardhome
    ports:
      - 53:53/tcp
      - 53:53/udp
      - 784:784/udp
      - 853:853/tcp
      - 3000:3000/tcp
      - 8080:80/tcp
      - 8443:443/tcp
    volumes:
      - adguard-workdir:/opt/adguardhome/work
      - adguard-confdir:/opt/adguardhome/conf
    restart: unless-stopped
    labels:
      # This means the container will be stopped during backup to ensure
      # backup integrity. You can omit this label if stopping during backup
      # not required.  Can be omitted if false.
      - docker-volume-backup.stop-during-backup=false
      - homepage.group=ESH
      - homepage.name=AdGuard Home
      - homepage.icon=si-adguard
      - homepage.description=DNS
      - homepage.href=http://10.0.50.45:8080
      - homepage.widget.type=adguard
      - homepage.widget.url=http://10.0.50.45:8080
      - homepage.widget.username=lkraven
      - homepage.widget.password=P@@fml123
    networks:
      - tnet

volumes:
  adguard-workdir: null
  adguard-confdir: null
networks:
  tnet:
    name: traefik-net
    external: true
